function ex=gaussian_distribution3D(m,A,x0,sigma)
% Computes the 3D Gaussian distribution according to the given parameters
%
% input:   m - length of the vector
%          A - height of the distribution (maximal value)
%          x0 - center of the distribution (mean value)
%          sigma - the variance of the distribution
% output:  ex - matlab-array of size m,m,m 
%
% written by Maja Temerinac (C) 2009

ex = zeros(m,m,m);

if(mod(m,2))
%m is uneven
    for x =-floor(m/2):floor(m/2)
	for y =-floor(m/2):floor(m/2)
    		for z =-floor(m/2):floor(m/2)
			ex(x+floor(m/2)+1,y+floor(m/2)+1,z+floor(m/2)+1) = A*exp(-((x-x0)^2/(2*sigma^2)+(y-x0)^2/(2*sigma^2)+(z-x0)^2/(2*sigma^2)));
		end
	end
    end
else
%m is even
    for x =-(m-1)/2:(m-1)/2
	for y =-(m-1)/2:(m-1)/2
		for z =-(m-1)/2:(m-1)/2
    			ex(x+(m-1)/2+1,y+(m-1)/2+1,z+(m-1)/2+1) = A*exp(-((x-x0)^2/(2*sigma^2)+(y-x0)^2/(2*sigma^2)+(z-x0)^2/(2*sigma^2)));
		end
    	end
	
    end
end